Scicos function

getscicosvars - get Scicos data structure while running

### Parameters

- `name` : a character string, the name of the required structure
- `v` : vector of the structure value

### Description

This function may be used in a Scilab block to get value of some particular global data while running. It allows to write diagram monitoring blocks.

for example the instruction `disp(getscicosvars('x'))` displays the entire continuous state of the diagram.

    x=getscicosvars('x');
    xptr=getscicosvars('xptr');
    disp(x(xptr(k):xptr(k+1)-1))

displays the continuous state of the `k` block

See `scicos_cpr` for more detail on these data structures.

For C or fortran computational function the C procedure `C2F(getscicosvars)` may used. See `routines/scicos/import.c` file for more details.

### See Also

`setscicosvars` `scicosim` `curblock` `scicos_cpr` `getblocklabel`